package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel(
   value = "DrpInquirySupplier对象",
   description = "询价供应商表"
)
public class DrpInquirySupplier {
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("询价供应商id")
   private Long inquirySupplierId;
   @ApiModelProperty("询价单号")
   private String inquiryId;
   @ApiModelProperty("报价时间")
   private LocalDateTime quoteTime;
   @ApiModelProperty("决标状态(1-已报价,2-未报价,3-已中标,4-未中标)")
   private Integer bidStatus;
   @ApiModelProperty("报价供应商id")
   private Long supplierId;
   @ApiModelProperty("报价总金额")
   private Integer quoteAmount;
   @ApiModelProperty("送货日期")
   private LocalDate arrivalTime;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   @TableField(
           value = "createBy",
           fill = FieldFill.INSERT
   )
   private String createBy;
   @ApiModelProperty("创建时间")
   @TableField(
           value = "createTime",
           fill = FieldFill.INSERT
   )
   private LocalDateTime createTime;
   @ApiModelProperty("更新人")
   @TableField(
           value = "updateBy",
           fill = FieldFill.UPDATE
   )
   private String updateBy;
   @ApiModelProperty("更新时间")
   @TableField(
           value = "updateTime",
           fill = FieldFill.UPDATE
   )
   private LocalDateTime updateTime;

   public Long getId() {
      return this.id;
   }

   public Long getInquirySupplierId() {
      return this.inquirySupplierId;
   }

   public String getInquiryId() {
      return this.inquiryId;
   }

   public LocalDateTime getQuoteTime() {
      return this.quoteTime;
   }

   public Integer getBidStatus() {
      return this.bidStatus;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Integer getQuoteAmount() {
      return this.quoteAmount;
   }

   public LocalDate getArrivalTime() {
      return this.arrivalTime;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setInquirySupplierId(final Long inquirySupplierId) {
      this.inquirySupplierId = inquirySupplierId;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setQuoteTime(final LocalDateTime quoteTime) {
      this.quoteTime = quoteTime;
   }

   public void setBidStatus(final Integer bidStatus) {
      this.bidStatus = bidStatus;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setQuoteAmount(final Integer quoteAmount) {
      this.quoteAmount = quoteAmount;
   }

   public void setArrivalTime(final LocalDate arrivalTime) {
      this.arrivalTime = arrivalTime;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public String getCreateBy() {
      return createBy;
   }

   public void setCreateBy(String createBy) {
      this.createBy = createBy;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public void setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public void setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public void setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }
}
